Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.state
Class SessionState

    java.lang.Object
      org.jboss.jms.client.state.HierarchicalStateSupport
          org.jboss.jms.client.state.SessionState

All Implemented Interfaces:
  HierarchicalState

public class SessionState
extends HierarchicalStateSupport

State corresponding to a session. This state is acessible inside aspects/interceptors.

Version:
  `$Revision: 1.11 $` $Id: SessionState.java,v 1.11 2006/04/21 12:41:12 timfox Exp $
Author:
  Tim Fox

Field Summary

Fields inherited from class org.jboss.jms.client.state.HierarchicalStateSupport
`children, delegate, parent`

Constructor Summary
`SessionState(ConnectionState parent, SessionDelegate delegate, boolean transacted, int ackMode, boolean xa)`

Method Summary
`int` | `getAcknowledgeMode()`
`java.lang.Object` | `getCurrentTxId()`
`QueuedExecutor` | `getExecutor()`
`Version` | `getVersionToUse()`
`MessagingXAResource` | `getXAResource()`
`boolean` | `isTransacted()`
`boolean` | `isXA()`
`void` | `setCurrentTxId(java.lang.Object id)`

Methods inherited from class org.jboss.jms.client.state.HierarchicalStateSupport
`getChildren, getDelegate, getParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionState

    public SessionState(ConnectionState parent,
                        SessionDelegate delegate,
                        boolean transacted,
                        int ackMode,
                        boolean xa)

Method Detail

### getAcknowledgeMode

    public int getAcknowledgeMode()

### isTransacted

    public boolean isTransacted()

### isXA

    public boolean isXA()

### getXAResource

    public MessagingXAResource getXAResource()

### getExecutor

    public QueuedExecutor getExecutor()

### getCurrentTxId

    public java.lang.Object getCurrentTxId()

### setCurrentTxId

    public void setCurrentTxId(java.lang.Object id)

### getVersionToUse

    public Version getVersionToUse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.